/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.horario.Services;

import java.util.ArrayList;
import pe.siso.horario.Beans.ZonaDistrito;
import pe.siso.horario.DAO.DAOFactory;
import pe.siso.horario.DAO.ZonaDistritoDAO;

/**
 *
 * @author sistem02user
 */
public class ZonaDistritoServices {
    
    DAOFactory fabrica = DAOFactory.getDAOFactory(DAOFactory.MYSQL);
    ZonaDistritoDAO objZonaDistritoDAO = fabrica.getZonaDistritoDAO();
    
    public ArrayList<ZonaDistrito> listarDistritosZonas(int codigoDepartamento, int codigoProvincia, int inicio,int cantidad) {
        ArrayList<ZonaDistrito> lista = null;
        try {
            lista = objZonaDistritoDAO.listarDistritosZonas(codigoDepartamento, codigoProvincia, inicio, cantidad);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return lista;
    }
    
    public int cantidadDistritoZonas(int codigoDepartamento, int codigoProvincia){
        int cantidad = 0;
        try {
            cantidad = objZonaDistritoDAO.cantidadDistritoZonas(codigoDepartamento, codigoProvincia);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return cantidad;
    }
    
    public int registrarAsignacionZonDist(String codigoZona, String codigoDepartemento, String codigoProvincia, String codigoDistrito){
        int dato = 0;
        try {
            dato = objZonaDistritoDAO.registrarAsignacionZonDist(codigoZona, codigoDepartemento, codigoProvincia, codigoDistrito);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
    
    public int actualizarZonaDistrito(String codDepartamento, String codProvincia, String codigoDistrito, String codigoZona){
        int dato = 0 ;
        try {
            dato = objZonaDistritoDAO.actualizarZonaDistrito(codDepartamento, codProvincia, codigoDistrito, codigoZona);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
    public ZonaDistrito consultarZona(String codigoDocente){
        ZonaDistrito zonaDistrito = new ZonaDistrito();
        try {
            zonaDistrito = objZonaDistritoDAO.consultarZona(codigoDocente);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return zonaDistrito;
    }
    
    public int actualizarZonaDocentes(String codDepartamento, String codProvincia, String codigoDistrito, String codigoZona){
        int dato = 0 ;
        try {
            dato = objZonaDistritoDAO.actualizarZonaDocentes(codDepartamento, codProvincia, codigoDistrito, codigoZona);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
}
